List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionPolicy.List(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceListRequest{})
if err != nil {
log.Fatal(err)
}
if res.SessionPolicyServiceListResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/session-policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/session-policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/session-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"accessTokenTtlSeconds": 123,
"continuousDefaultOutcome": {
"allow": {},
"challengeRequired": {
"types": []
},
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": {
"credentialTypes": []
},
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
},
"continuousRules": [
{
"description": "<string>",
"id": "<string>",
"matchCel": "<string>",
"outcome": {
"allow": {},
"challengeRequired": {
"types": []
},
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": {
"credentialTypes": []
},
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"credentialDurations": [
{
"accessTokenTtlSeconds": 123,
"maxSessionDurationSeconds": 123
}
],
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"idleTimeoutSeconds": 123,
"isBuiltin": true,
"maxSessionDurationSeconds": 123,
"priority": 123,
"refreshRotationWindowSeconds": 123,
"refreshTokenTtlSeconds": 123,
"rotateRefreshOnUse": true,
"ssfReceive": {
"enabled": true,
"ssfReceiverStreamIds": [
"<string>"
]
},
"ssfTransmit": {
"enabled": true,
"eventTypes": [
"<string>"
],
"ssfTransmitterStreamIds": [
"<string>"
]
},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Session Policy
List
List all session policies in your tenant, one page at a time.
GET
/
api
/
v1
/
session-policies
List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionPolicy.List(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceListRequest{})
if err != nil {
log.Fatal(err)
}
if res.SessionPolicyServiceListResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Was this page helpful?
⌘I